// Grapher.h by mulo@makemebad.net


#define maxdistance 406740
#define max 100


void grapher(double distance,int row,struct ln_date date1,struct ln_date date2,struct ln_date date3,double age,double light) {
int progress,z,k;char arrow[max];char bar='|';char empty=' ';

progress=((distance*max)/maxdistance)/4;
memset(&arrow, 0, sizeof(arrow));
for (z=0;z<=progress;z++) {arrow[z]=bar;}for (k=z;k<=max/4;k++) {arrow[k]=empty;}

mvprintw(row/4,0,  
"
        Moon's situation at: %d/%d/%d %d:%d:%d
        Age: +- %d days
        Rise: %d/%d/%d %d:%d:%d
        Set: %d/%d/%d %d:%d:%d
        Illuminated: %.4f%%  
        Moon->Earth distance: %.3f Km
        Distance meter: %s (%d%%)
",
date3.days,date3.months,date3.years,date3.hours,date3.minutes,(int)date3.seconds,(int)age,
date1.days,date1.months,date1.years,date1.hours,date1.minutes,(int)date1.seconds,
date2.days,date2.months,date2.years,date2.hours,date2.minutes,(int)date2.seconds,light,distance,arrow,progress*4);





}
// End of Grapher.h

