// Moonphase.h by mulo@makemebad.net

double moonphase() {
double phase,age,julian_day;
const char * fmt="%Y";
const char * fmt2="%d";
const char * fmt3="%m";
struct tm *gm;
time_t t;
long year, month, day, k1, k2, k3;

time(&t);
gm = localtime(&t);
year = gm->tm_year + 1900;
month = gm->tm_mon + 1;
day = gm->tm_mday;
year = year - (int)(( 12 - month ) / 10);
month = month + 9;
if (month >= 12) {month = month - 12;}
k1 = (int)(365.25 * ( year + 4712 ));
k2 = (int)(30.6 * month + 0.5 );
k3 = (int)((int)((year / 100) + 49) * 0.75) - 38;
julian_day = k1 + k2 + day + 59;
if (julian_day > 2299160) {julian_day = julian_day - k3;}
phase = (julian_day - 2451550.1) / 29.53058868;
phase = phase - (int)(phase);
if (phase < 0) {phase = phase + 1;}
age = phase * 29.53;phase = phase * 2.0;
if (phase > 1.99) {phase = 0.0;}
if (phase > 1.00) {phase = 1.00 - (phase - 1.00);}
phase = (int)(phase * 100.0);
return age;

}

// End of Moonphase.h
